在Macosx使用ADTBundle踩过的坑

来源:IT165收集  发布日期:2015-04-01 20:18:14

前言

本篇博客整理一下笔者在Mac下使用ADT Bundle踩过的坑,Google现在也不支持Eclipse了,开发者也到了抛弃Eclipse的时候,但考虑到大部分Java的开发者还是比较习惯与Eclipse下进行Android开发,Android Studio的使用还是有一定门槛的,比如它比较耗性能,界面、操作类似idea。不管是Eclipse还是Android Studio都有对应Windows版本、mac版本、Linux版本,windows版本不用多说,支持得比较好,兼容性较高,但mac在升级之后,默认的1.6版本的jdk已经被删除,所以在mac系统使用ADT Bundle或者Android Studio都无法运行起来,我们要另外去配置java的运行环境,下面针对几个问题提供相应的解决方案。

ADB Bundle下载地址

Google被墙了之后,就不能随意访问Android官网了,想获取最新版本的ide最好还是去官网下载,建议购买一个VPN,比自由门和免费VPN都要稳定得多。
ADT Bundle for mac最新版官网下载地址

ADT Bundle的坑之java版本

只从mac osx升级到10.8之后,就把系统自带的1.6版本的jdk删掉了,我们安装完ADT Bundle或者Android Studio均不能正常使用,Oracle官网也找不到java 1.6版本,但可以在苹果官网可以找到:jdk1.6版本下载地址

下载安装成功之后,就不会出现以下错误信息:
这里写图片描述
再次启动Eclipse,正确运行。

还有一种解决方案就是修改info.plist文件:
修改文件:
/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Info.plist
为如下形式:

<key>JVMCapabilities</key>
<array>
<string>CommandLine</string>
<string>JNI</string>
<string>BundledApp</string>
<string>WebStart</string>
<string>Applets</string>
</array>

这里建议使用第一种解决方案。

ADT Bundle的坑之无法正常创建项目

前面解决了启动Eclipse的问题,但发现创建项目的最后一步出现以下错误:

**java.lang.NullPointerException
Errors running builder ‘Android Resource Manager’ on Project ‘XXX’**

我也是醉了,这个问题折腾了笔者很久,后来在网上找到解决方案:这里写图片描述
在这个路径下adt-bundle-mac-x86_64-20140702/eclipse/Eclipse/Contents/MacOS找到eclipse.ini文件,使用文档编辑器打开:
这里写图片描述
在最后添加以下配置:

-vm
/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Commands/java

最后问题解决,妈妈再也不用担心我不能创建Android项目啦。

关于Eclipse的使用笔者踩过很多坑,如果读者遇到过哪些问题,可以留言给我,笔者后续整理补充到博文当中。

转载请注明:IT_xiao小巫
博客地址:http://blog.csdn.net/wwj_748
参考:来自知乎

延伸阅读:

  • 专题推荐

About IT165 - 广告服务 - 隐私声明 - 版权申明 - 免责条款 - 网站地图 - 网友投稿 - 联系方式
本站内容来自于互联网,仅供用于网络技术学习,学习中请遵循相关法律法规